#include "messageCounter.h"

GlobalCounter::GlobalCounter(){
}

uint64_t GlobalCounter::get_value(){
    return value.load(std::memory_order_relaxed);
}

uint64_t GlobalCounter::increment_and_get(){
    return value.fetch_add(1, std::memory_order_relaxed) + 1;
}